package app

import (
	"github.com/gogf/gf/frame/g"
	"testing"
	"youngmini_server/app/dao"
)

func TestGetProductDataList(t *testing.T) {
	recordJson, err := dao.Product.GetProductDataList(0, 10)
	if err != nil {
		t.Error("测试失败")
	}

	g.Log(recordJson)
}

func BenchmarkGetProductDataList(b *testing.B) {
	for i := 0; i < b.N; i++ {
		dao.Product.GetProductDataList(0, 10)
	}
}
